 /*
 # 
 # Example code for WTV020-SD-MINI MODULE
 # Company    : AftabRayaneh
 # Website    : http://shop.aftabrayaneh.com
 # Editor     : mohammad omidvar
 # Date       : 02.10.2013
 # Version    : 1.0
*/
#include <Wtv020sd16p.h>

int resetPin = 2;  // The pin number of the reset pin.
int clockPin = 3;  // The pin number of the clock pin.
int dataPin = 4;  // The pin number of the data pin.
int busyPin = 5;  // The pin number of the busy pin.

/*
Create an instance of the Wtv020sd16p class.
 1st parameter: Reset pin number.
 2nd parameter: Clock pin number.
 3rd parameter: Data pin number.
 4th parameter: Busy pin number.
 */
Wtv020sd16p wtv020sd16p(resetPin,clockPin,dataPin,busyPin);

void setup() {
  //Initializes the module.
  wtv020sd16p.reset();
}

void loop() {
  //play"0000.ad4
  wtv020sd16p.playVoice(0);
  delay(4000);
  //play"0001.ad4
  wtv020sd16p.playVoice(1);
  delay(2000);
  //play"0002.ad4
  wtv020sd16p.playVoice(2);
  delay(2000);
  //play"0003.ad4
  wtv020sd16p.playVoice(3);
  delay(2000);
  //play"0004.ad4
  wtv020sd16p.playVoice(4);
  delay(2000);
  //play"0005.ad4
  wtv020sd16p.playVoice(5);
  delay(2000);
  //play"0006.ad4
  wtv020sd16p.playVoice(6);
  delay(2000);
  //play"0007.ad4
  wtv020sd16p.playVoice(7);
  delay(2000);
  //play"0008.ad4
  wtv020sd16p.playVoice(8);
  delay(2000);
  //play"0009.ad4
  wtv020sd16p.playVoice(9);
  delay(2000);
  //play"0010.ad4
  wtv020sd16p.playVoice(10);
  delay(2000);
  //play"0021.ad4
  wtv020sd16p.playVoice(21);
  while(1);
  
  //Plays synchronously an audio file. Busy pin is used for this method.  
 // wtv020sd16p.playVoice(1);
  
  //Plays asynchronously an audio file.
 // wtv020sd16p.asyncPlayVoice(1);
  
  //pause current audio file playing.
 // wtv020sd16p.pauseVoice();
  
  //Stops current audio file playing.
 // wtv020sd16p.stopVoice();
  
  //Mutes audio file during 2 seconds.
 // wtv020sd16p.mute();
 // delay(2000);
  
  //unMutes audio file.
 // wtv020sd16p.unmute(); 
  
  //Stops current audio file playing.
 // wtv020sd16p.stopVoice();
}


